Как удалить python ubuntu
Перейти к содержимому

Как удалить python ubuntu

  • автор:

Форум русскоязычного сообщества Ubuntu

Страница сгенерирована за 0.044 секунд. Запросов: 23.

  • Сайт
  • Об Ubuntu
  • Скачать Ubuntu
  • Семейство Ubuntu
  • Новости
  • Форум
  • Помощь
  • Правила
  • Документация
  • Пользовательская документация
  • Официальная документация
  • Семейство Ubuntu
  • Материалы для загрузки
  • Совместимость с оборудованием
  • RSS лента
  • Сообщество
  • Наши проекты
  • Местные сообщества
  • Перевод Ubuntu
  • Тестирование
  • RSS лента

© 2012 Ubuntu-ru — Русскоязычное сообщество Ubuntu Linux.
© 2012 Canonical Ltd. Ubuntu и Canonical являются зарегистрированными торговыми знаками Canonical Ltd.

Как полностью удалить Python 3.6 из Ubuntu 18.04

Оба Python 2.7 и 3.6 установлены по умолчанию в Ubuntu 18. Но я хочу использовать Anaconda Python с менеджером пакетов conda. Чтобы избежать конфликтов, я хочу полностью удалить Python 3.6 по умолчанию. Есть ли способ сделать это? Пожалуйста помоги.

Sandip Nath 11 май 2018, в 20:13
Поделиться
Это неправильный подход с очень высоким шансом. Вы читали некоторые документы анаконды?
sascha 11 май 2018, в 18:16

Напоминаю, что 18.04 по умолчанию сейчас составляет 3,6. Крайне осторожны при его удалении, так как это может вызвать серьезные проблемы.

jhpratt 11 май 2018, в 18:37
Правильный вопрос — «как сохранить несколько установок Python отдельно».
chepner 11 май 2018, в 19:12

Почему вы когда-нибудь захотите использовать анаконду в Linux? Его смысл существования — «Windows отстой для сборки», и даже это устарело из-за недавних разработок.

o11c 11 май 2018, в 19:27
Показать ещё 2 комментария
Поделиться:
ubuntu-18.04

2 ответа

Ubuntu 18.04 требует, чтобы функция python 3.6 функционировала. Если вы удалите python 3.6, вы не сможете войти в систему после перезагрузки. У Ubuntu wool все еще есть python 3.6minimal, даже после удаления python 3.6. поэтому вам придется удалить оба. Вы получите ошибку, которая выглядит так.

Вы можете следовать вышеприведенным шагам, когда вы нарушаете Ubuntu.

Prometheus 01 авг. 2018, в 06:46
Поделиться

Вы можете сохранить обе версии python и использовать их согласно вашему требованию. См. Этот ответ @Использование Python 2.x и Python 3.x в IPython Notebook

Хотя это не очень хорошая идея, но если вы все еще хотите удалить python3.6 ниже, команда должна сделать трюк:

sudo apt-get purge python3.6 

Поскольку ubuntu также зависит от python для большого внутреннего функционирования, имейте в виду и очень осторожно относитесь к тому, что вы делаете.

akshat 11 май 2018, в 16:42
Поделиться
Не удаляйте python , он удалит файлы ядра Ubuntu. Я повторяю НЕ ОГОНЬ ВЫШЕ КОМАНДЫ
Rahul 17 апр. 2019, в 14:02

Ещё вопросы

  • 1 Многопоточность в opennetcf.orm (как использовать SqlCeDataStore)
  • 1 Как получить доступ к метаданным подкаста?
  • 0 session_start неисправность php
  • 0 запрос содержит MAX () и MIN () со своими собственными условиями
  • 1 Как передать объект новому действию, изменить этот объект и обновить изменения в первом действии? [Дубликат]
  • 1 Узнайте, видна ли линейка в PowerPoint с помощью VSTO
  • 1 Это правильный способ издеваться над HttpContextBase, HttpRequestBase и HttpResponseBase для модульного тестирования файлов cookie?
  • 1 Проверьте наличие специальных символов без использования регулярных выражений
  • 1 Каков иронический эквивалент необязательного оператора Yacc («?»)?
  • 0 Получение ответа от $ scope в angularjs
  • 0 Как открыть частичное представление с помощью $ window.open ()?
  • 0 jQuery не работает в .load ()
  • 0 C ++ 11 регулярное выражение заменить
  • 1 Большие проблемы с памятью матрицы
  • 1 Получить текст XML-узла с заданным текстом соседнего узла с помощью xpath
  • 1 WPF Получить выбранную строку на сетке данных из шаблона
  • 1 преобразовать гггг-дд-мм в гггг-мм-дд в Python
  • 1 как удалить /root/.local/lib/python2.7?
  • 1 Ошибка: невозможно получить доступ к jarfile sailfin-installer-v1-b60g-linux.jar
  • 1 NodeJS и веб-сокеты
  • 0 Получение данных из Википедии
  • 1 Наблюдаемая ошибка
  • 1 аккорд d3: текст по центру
  • 1 Логическое выражение Python
  • 1 Есть ли способ получить URI изображения сразу после его удаления из внешнего хранилища?
  • 1 Как я могу использовать Google Places API несколько раз в приложении, учитывающем местоположение?
  • 0 Как применить те же правила, которые определены в файле JS, содержащем все правила в document.ready (..), к новым сообщениям?
  • 1 Как реализовать обнаружение столкновения полилиний в Javascript
  • 0 Как преобразовать предложение WHERE IN с несколькими значениями в RegExp или Like
  • 1 Почему я должен иметь двойные кавычки внутри одинарных кавычек в JavaScript?
  • 1 Как сделать новый сервлет с помощью мастера?
  • 0 Получение строк из одной таблицы, у которых нет связанных строк в других таблицах, соответствующих определенным критериям, без подзапроса
  • 1 Удалить / удалить каждое минимальное значение в каждой строке матрицы NxM?
  • 1 В Splashscreen Activity внутри я реализовал интерфейс. Как отправить данные интерфейса на несколько Activity в Kotlin?
  • 1 WebView внутри ViewPager внутри NestedScrollView без вертикальной прокрутки
  • 0 значение параметра углового набора в качестве итерации массива с помощью ng-select
  • 0 Оператор удаления MySQLi не удаляет
  • 0 если утверждение продолжает отступать к остальной части
  • 1 Подключение USB-устройств к эмулятору Android
  • 0 Перетащите изображение / текст / имя файла на страницу Firefox
  • 0 определение статической функции в заголовке
  • 1 Отображение правильного статуса «Бег» в менеджере tomcat
  • 0 Использование углового сервиса внутри друг друга
  • 1 Асинхронное многопоточное значение bool в C #
  • 1 Фильтрация слов в элементах списка по текстовому полю
  • 1 Игра в понг в p5.js — фоновое изображение не загружается должным образом
  • 1 Разница в форматировании подписки на события
  • 1 Получение определенных элементов после чтения из файла
  • 0 Беда с setlocale
  • 1 API-интерфейс SMS-ретривера: SMSBroadcastReceiver не распознает полученное сообщение.

Как полностью удалить Python 3.6 из Ubuntu 18.04

И Python 2.7, и 3.6 установлены по умолчанию в Ubuntu 18. Но я хочу использовать Anaconda Python с менеджером пакетов conda. Чтобы избежать конфликтов, я хочу полностью удалить Python 3.6 по умолчанию. Есть ли способы сделать это? Пожалуйста, помогите.

Поделиться Источник 11 мая 2018 в 18:12

2 ответа

Не делайте этого, просто не делайте.
Вы будете сожалеть о многом.
И я серьезно.
Многое будет удалено, но, кстати, если вы уже сделали это, не беспокойтесь, есть решения.
Просто запустите этот код в терминале

sudo apt install ubuntu-desktop 

И если хотите, вы также можете запустить этот

#ubuntu-18.04.1 sudo apt install $( curl http://releases.ubuntu.com/18.04/ubuntu-18.04.1-desktop-amd64.manifest | sed -e 's#\t.*##g' ) 

Поделиться 10 февраля 2019 в 23:52

На Ubuntu 18.04 требуется Python 3.6 для работы. Если вы удалите Python 3.6, вы не сможете войти после перезапуска. У Ubuntu все еще будет Python 3.6 minimal, даже после удаления Python 3.6. Поэтому вам придется удалить оба. После этого вы получите ошибку, которая выглядит так.

Вы можете следовать вышеуказанным шагам, если сломаете Ubuntu.

Как установить другую версию python

У меня стоит pyhton 3.8 . Но мне нужно установить pyhton 3.7 (на то есть причины). Нужно ли мне удалять pyhton 3.8 , чтобы сделать это, и если нужно то как? Если что у меня операционная система Linux и модель Linux Mint 18 .

Отслеживать
48.9k 17 17 золотых знаков 56 56 серебряных знаков 100 100 бронзовых знаков
задан 29 мая 2020 в 18:02
Kate Adams Kate Adams
17 1 1 серебряный знак 4 4 бронзовых знака
Не модель, а дистрибутив
29 мая 2020 в 18:03
Можно через pip поставить всё что угодно и каких угодно версий в домашний каталог.
29 мая 2020 в 23:57

2 ответа 2

Сортировка: Сброс на вариант по умолчанию

Но мне нужно установить pyhton 3.7

Устанавливайте на здоровье. Только не «руками», а системным установщиком пакетов. Что там у вас — dnf / zypper / yum.

Нужно ли мне удалять pyhton 3.8

На самом деле, Вам нужно разобраться с тем, какая программа на питоне какой конкретный интерпретатор питона использует. До сих пор есть много приложений, которые написаны для питона 2.7

Если все Ваши скрипты будут использовать 3.7, то проще всего, в каталоге /usr/bin/ выполнить команду:

sudo ln -s python3.7 python 

Тогда все обращения к интерпретатору питона будут вызывать именно версию 3.7.

Но это довольно рискованный путь. В системе есть куча файлов на питоне и решать за всех — не стоит.

Если же Вам просто нужно, что бы конкретно Ваши программы исполнялись в версии 3.7, то пропишите это явно в каждой вашей программе в первой строке так:

#!/usr/bin/python3.7 

и всё будет именно так, как Вы хотите.

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *